LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XFormulaQuery Interface Referencepublished

provides methods to query cells for dependencies in formulas. More...

`import"XFormulaQuery.idl";`

Inheritance diagram for XFormulaQuery:

## Public Member Functions
com::sun::star::sheet::XSheetCellRanges | queryDependents ([in] boolean bRecursive)
| queries all dependent formula cells. More...
com::sun::star::sheet::XSheetCellRanges | queryPrecedents ([in] boolean bRecursive)
| queries all precedent cells. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides methods to query cells for dependencies in formulas.

All methods return a collection of cell ranges.

See also
  com::sun::star::sheet::SheetRangesQuery
  com::sun::star::sheet::SheetCellRanges

Developers Guide
  Spreadsheet Documents - Querying for Cells with Specific Properties

## Member Function Documentation

## ◆ queryDependents()

com::sun::star::sheet::XSheetCellRanges queryDependents | ( | [in] boolean | bRecursive | ) |

queries all dependent formula cells.

Dependent cells are cells containing formulas with references to the original cell.

Parameters

  bRecursive | `FALSE` = queries cells dependent from the original range(s), `TRUE` = repeats query with all found cells (finds dependents of dependents, and so on).

Returns
  all dependent cells of any formula cell of the current cell range(s).

## ◆ queryPrecedents()

com::sun::star::sheet::XSheetCellRanges queryPrecedents | ( | [in] boolean | bRecursive | ) |

queries all precedent cells.

Precedent cells are cells which are referenced from a formula cell.

Parameters

  bRecursive | `FALSE` = queries precedent cells of the original range(s), `TRUE` = repeats query with all found cells (finds precedents of precedents, and so on).

Returns
  all precedent cells of any formula cell of the current cell range(s).

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XFormulaQuery.idl